Bug 180311 - New port: graphics/p5-Image-ObjectDetect
Summary: New port: graphics/p5-Image-ObjectDetect
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 14:10 UTC by Anes Mukhametov
Modified: 2013-11-18 19:32 UTC (History)
0 users

See Also:


Attachments
p5-Image-ObjectDetect.shar (3.01 KB, text/plain)
2013-07-05 14:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 14:10:00 UTC
	New port: graphics/p5-Image-ObjectDetect	
	Image::ObjectDetect is a simple module to detect objects from the picture using opencv.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:32 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:10:02 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:58:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Po-Chuan Hsieh freebsd_committer 2013-11-16 21:10:19 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-11-18 19:24:06 UTC
Author: sunpoet
Date: Mon Nov 18 19:23:56 2013
New Revision: 334247
URL: http://svnweb.freebsd.org/changeset/ports/334247

Log:
  - Add p5-Image-ObjectDetect 0.12
  - While I'm here:
    - Add LICENSE
    - Convert to new Perl framework
    - Add missing USES=pkgconfig
    - Support STAGEDIR
    - Sort PLIST
  
  Image::ObjectDetect is a simple module to detect objects
  from picture using opencv.
  
  WWW: http://search.cpan.org/dist/Image-ObjectDetect/
  
  PR:		ports/180311
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/graphics/p5-Image-ObjectDetect/
  head/graphics/p5-Image-ObjectDetect/Makefile   (contents, props changed)
  head/graphics/p5-Image-ObjectDetect/distinfo   (contents, props changed)
  head/graphics/p5-Image-ObjectDetect/files/
  head/graphics/p5-Image-ObjectDetect/files/patch-Makefile.PL   (contents, props changed)
  head/graphics/p5-Image-ObjectDetect/pkg-descr   (contents, props changed)
  head/graphics/p5-Image-ObjectDetect/pkg-plist   (contents, props changed)
Modified:
  head/graphics/Makefile

Modified: head/graphics/Makefile
==============================================================================
--- head/graphics/Makefile	Mon Nov 18 19:23:28 2013	(r334246)
+++ head/graphics/Makefile	Mon Nov 18 19:23:56 2013	(r334247)
@@ -693,6 +693,7 @@
     SUBDIR += p5-Image-Math-Constrain
     SUBDIR += p5-Image-MetaData-GQview
     SUBDIR += p5-Image-MetaData-JPEG
+    SUBDIR += p5-Image-ObjectDetect
     SUBDIR += p5-Image-PBMlib
     SUBDIR += p5-Image-Pngslimmer
     SUBDIR += p5-Image-Scale

Added: head/graphics/p5-Image-ObjectDetect/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/p5-Image-ObjectDetect/Makefile	Mon Nov 18 19:23:56 2013	(r334247)
@@ -0,0 +1,22 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Image-ObjectDetect
+PORTVERSION=	0.12
+CATEGORIES=	graphics perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Detects objects from picture using opencv
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/opencv.pc:${PORTSDIR}/graphics/opencv
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_PERL5=	configure
+USES=		perl5 pkgconfig
+
+.include <bsd.port.mk>

Added: head/graphics/p5-Image-ObjectDetect/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/p5-Image-ObjectDetect/distinfo	Mon Nov 18 19:23:56 2013	(r334247)
@@ -0,0 +1,2 @@
+SHA256 (Image-ObjectDetect-0.12.tar.gz) = 5ad5d9eb4d81d52175c2bea3c3d8754f61ba99276188b155a73d91ae5c0c6efd
+SIZE (Image-ObjectDetect-0.12.tar.gz) = 91435

Added: head/graphics/p5-Image-ObjectDetect/files/patch-Makefile.PL
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/p5-Image-ObjectDetect/files/patch-Makefile.PL	Mon Nov 18 19:23:56 2013	(r334247)
@@ -0,0 +1,11 @@
+--- Makefile.PL.orig	2012-03-01 11:06:49.000000000 +0000
++++ Makefile.PL	2012-03-01 11:07:14.000000000 +0000
+@@ -16,7 +16,7 @@
+         'Test::More' => 0.32,
+     },
+     LIBS                => $libs,
+-    CCFLAGS             => $ccflags,
++    INC             	=> $ccflags,
+     dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
+     clean               => { FILES => 'Image-ObjectDetect-*' },
+ );

Added: head/graphics/p5-Image-ObjectDetect/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/p5-Image-ObjectDetect/pkg-descr	Mon Nov 18 19:23:56 2013	(r334247)
@@ -0,0 +1,4 @@
+Image::ObjectDetect is a simple module to detect objects
+from picture using opencv.
+
+WWW: http://search.cpan.org/dist/Image-ObjectDetect/

Added: head/graphics/p5-Image-ObjectDetect/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/p5-Image-ObjectDetect/pkg-plist	Mon Nov 18 19:23:56 2013	(r334247)
@@ -0,0 +1,9 @@
+%%SITE_PERL%%/%%PERL_ARCH%%/Image/ObjectDetect.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Image/ObjectDetect.xs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ObjectDetect/.packlist
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ObjectDetect/ObjectDetect.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ObjectDetect/ObjectDetect.so
+%%PERL5_MAN3%%/Image::ObjectDetect.3.gz
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ObjectDetect
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/Image
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2013-11-18 19:32:33 UTC
State Changed
From-To: open->closed

New port added. Thanks!